summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBryan McLellan <btm@opscode.com>2013-02-13 08:49:59 -0800
committerBryan McLellan <btm@opscode.com>2013-02-13 08:49:59 -0800
commit15395a9436f651901203aa088aed105879e6daa5 (patch)
treeb13c15a7c99cfa893c1e5a68cee7d9299e53d6ef
parent8c3d3f1549ce06f8b37009735e37d7cfbc9687ec (diff)
downloadchef-15395a9436f651901203aa088aed105879e6daa5.tar.gz
CI: Skip docgen + server on bundle rebuild
-rw-r--r--ci/jenkins_run_tests.bat2
-rwxr-xr-xci/jenkins_run_tests.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/ci/jenkins_run_tests.bat b/ci/jenkins_run_tests.bat
index e56776f79c..0f4af0b06f 100644
--- a/ci/jenkins_run_tests.bat
+++ b/ci/jenkins_run_tests.bat
@@ -4,7 +4,7 @@ REM Chef 10 contains the client in the chef/ sub-directory
cd chef
ruby -v
-call bundle install --binstubs --without docgen server --path vendor/bundle || ( call rm Gemfile.lock && call bundle install --binstubs --path vendor/bundle )
+call bundle install --binstubs --without docgen server --path vendor/bundle || ( call rm Gemfile.lock && call bundle install -without docgen server --binstubs --path vendor/bundle )
ruby bin\rspec -r rspec_junit_formatter -f RspecJunitFormatter -o test.xml -f documentation spec/functional spec/unit spec/stress
set RSPEC_ERRORLVL=%ERRORLEVEL%
diff --git a/ci/jenkins_run_tests.sh b/ci/jenkins_run_tests.sh
index b2df764edf..51f93bc83c 100755
--- a/ci/jenkins_run_tests.sh
+++ b/ci/jenkins_run_tests.sh
@@ -8,7 +8,7 @@ cd chef
ruby -v;
# remove the Gemfile.lock and try again if bundler fails.
# This should take care of Gemfile changes that result in "bad" bundles without forcing us to rebundle every time
-bundle install --binstubs --without docgen server --path vendor/bundle || ( rm Gemfile.lock && bundle install --binstubs --path vendor/bundle )
+bundle install --binstubs --without docgen server --path vendor/bundle || ( rm Gemfile.lock && bundle install -without docgen server --binstubs --path vendor/bundle )
bin/rspec -r rspec_junit_formatter -f RspecJunitFormatter -o test.xml -f documentation spec;
RSPEC_RETURNCODE=$?